Subject: bug#29353: closed (Re: bug#29353: [PATCH] Add window divider faces to NS (bug#29353))

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 20 Nov 2017 20:42:02 +0000

Your bug report

#29353: OSX/MacOS:  Adding support for window-divider-first/last-pixel

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29353: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29353
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29353: [PATCH] Add window divider faces to NS (bug#29353)
From: Alan Third <[email-masked]>
To: Keith David Bershatsky <[email-masked]>
Cc: [email-masked]
Date: Mon, 20 Nov 2017 20:41:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Nov 19, 2017 at 10:31:22PM -0800, Keith David Bershatsky wrote:
> Thank you, Alan, for teaching me to use screenshots and zooming to
> see what was really happening. Yes, it ended up being colors
> bleeding across pixel boundaries.
> 
> Everything looks great with a screenshot and an image viewer with
> magnification. And, it sure is much easier than moving filing
> cabinets out of the way so that I can put my nose on the screen to
> get a better vantage point. :)

Thanks for checking. I’ll push my change, and I think we can mark this
as done.
-- 
Alan Third

Subject: OSX/MacOS: Adding support for window-divider-first/last-pixel
From: Keith David Bershatsky <[email-masked]>
To: Emacs Bug Reports <[email-masked]>
Date: Sat, 18 Nov 2017 15:29:19 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Upon grepping the source code for window_divider_first_pixel and window_divider_last_pixel, I see no existing support for OSX/MacOS builds.

Although I have not done any testing on other platforms, it appears that support for these features already exists for Windows and X11 builds.

It would be nifty if OSX/MacOS users could also enjoy this cool feature.

Thanks,

Keith